﻿using System;
using System.Collections.Generic;

namespace HeuristicLab.Problems.RoutePlanning.Data.Osm.Core {
  public abstract class OsmBase {
    public long Id { get; set; }
    public string User { get; set; }
    public int UserId { get; set; }
    public DateTime Timestamp { get; set; }
    public long Changeset { get; set; }
    public int Version { get; set; }
    public bool Visible { get; set; }
    public IDictionary<string, string> Tags { get; set; }

    public OsmBase() {
      Tags = new Dictionary<string, string>();
    }

    public OsmBase(long id) {
      Id = id;
      Tags = new Dictionary<string, string>();
    }
  }
}
